Subject: bug#22160: 24.5; "M-x browse-url-emacs" on a 404 page

From: Alex Kost <[email-masked]>
Date: Sun, 13 Dec 2015 13:39:13 +0300

Hello, I've noticed an unhandled error when I tried the following:

1. emacs -Q
2. M-x browse-url-emacs RET http://hydra.gnu.org/build/12345

And the error is:

    find-file-noselect-1: Wrong type argument: arrayp, nil

As (file-truename buffer-file-name) fails when buffer-file-name is nil.

It would be good to have a more "friendly" error, like the one that
(url-insert-file-contents "http://hydra.gnu.org/build/12345") produces.

Thanks.

-- 
Alex